uses dos,crt,gentypes,tpansi,pullmode,STRL;
var pm:pulld;

procedure display;
var t:text;
    c:char;
begin
assign(t,'areaadd.ans');
reset(T);
repeat
read(t,c);
write(ansi,c);
until eof(t);
close(T);
end;

procedure setupbar;
VAR X:BYTE;
begin
fillchar(pm,sizeof(pm),#0);
pm.ON[1] :='|B1|07Þ|B4|15A|B1|08Ý';
pm.ON[2] :='|B1|07Þ|B4|15B|B1|08Ý';
pm.ON[3] :='|B1|07Þ|B4|15C|B1|08Ý';
pm.ON[4] :='|B1|07Þ|B4|15D|B1|08Ý';
pm.ON[5] :='|B1|07Þ|B4|15E|B1|08Ý';
pm.ON[6] :='|B1|07Þ|B4|15F|B1|08Ý';
pm.ON[7] :='|B1|07Þ|B4|15G|B1|08Ý';
pm.ON[8] :='|B1|07Þ|B4|15H|B1|08Ý';
pm.ON[9] :='|B1|07Þ|B4|15I|B1|08Ý';
pm.ON[10]:='|B1|07Þ|B4|15J|B1|08Ý';
pm.ON[11]:='|B1|07Þ|B4|15K|B1|08Ý';
pm.ON[12]:='|B1|07Þ|B4|15L|B1|08Ý';
pm.OFF[1] :='|B0|07Þ|B4|15A|B0|08Ý';
pm.OFF[2] :='|B0|07Þ|B4|15B|B0|08Ý';
pm.OFF[3] :='|B0|07Þ|B4|15C|B0|08Ý';
pm.OFF[4] :='|B0|07Þ|B4|15D|B0|08Ý';
pm.OFF[5] :='|B0|07Þ|B4|15E|B0|08Ý';
pm.OFF[6] :='|B0|07Þ|B4|15F|B0|08Ý';
pm.OFF[7] :='|B0|07Þ|B4|15G|B0|08Ý';
pm.OFF[8] :='|B0|07Þ|B4|15H|B0|08Ý';
pm.OFF[9] :='|B0|07Þ|B4|15I|B0|08Ý';
pm.OFF[10]:='|B0|07Þ|B4|15J|B0|08Ý';
pm.OFF[11]:='|B0|07Þ|B4|15K|B0|08Ý';
pm.OFF[12]:='|B0|07Þ|B4|15L|B0|08Ý';
FOR X:=1 TO  12 DO BEGIN
                   PM.CX[X]:=2;
                   PM.CY[X]:=3+X;
                   END;
PM.MAXC:=12;
PM.CURRENTCHOICE:=1;
end;

procedure showinfo(f:arearec);
begin
textattr:=8;
gotoxy(18,4);
write('');
end;

PROCEDURE ADDAREA;
VAR areai:AREAREC;
    areaf:file of arearec;
    int:byte;
BEGIN
display;
SETUPBAR;
FILLCHAR(areai,SIZEOF(areai),#0);
assign(areaf,'area.dat');
{$I-} RESET(AREAF); {$I+}
if ioresult<>0 then begin
                    rewrite(areaf);
                    areai.name:='Misc Area';
                    areai.filename:='MISC.DAT';
                    areai.path:='C:\';
                    areai.password:='';
                    areai.acs:='';
                    areai.sponser:='Judge Dredd';
                    areai.maxfiles:=9999;
                    areai.free:=false;
                    areai.pointsk:=10;
                    areai.ulacs:='';
                    areai.dlacs:='';
                    areai.listacs:='';
                    end;

repeat
int:=PULLMENU(PM);
if int=1 then begin
               end;
until int=12;
END;

begin
addarea;
end.
